# $Revision: 1.36 $, $Date: 2012/02/15 09:07:00 $
#
# Conditional build:
%bcond_without	lirc	# without LIRC support
#
Summary:	GTK+ based GUI for xine-libraries
Summary(de.UTF-8):	GTK+ basierende grafische Oberfläche für die xine-Bibliotheken
Summary(pl.UTF-8):	Oparty na GTK+ graficzny interfejs do bibliotek XINE
Name:		gxine
Version:	0.5.905
Release:	2
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/xine/%{name}-%{version}.tar.bz2
# Source0-md5:	3c9092f1c5c8dc85e95ca327cdcc77af
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-plugindir.patch
Patch2:		%{name}-link.patch
URL:		http://www.xine-project.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.35
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gtk+2-devel >= 2:2.8.0
BuildRequires:	js-devel
BuildRequires:	libtool
BuildRequires:	libxcb-devel >= 1.0
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	nspr-devel
BuildRequires:	pango-devel >= 1:1.12.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	udev-glib-devel
BuildRequires:	xine-lib-devel >= 2:1.1.8
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXtst-devel
Requires:	glib2 >= 1:2.10.0
Requires:	gtk+2 >= 2:2.8.0
Requires:	pango >= 1:1.12.0
Requires:	xine-lib >= 2:1.1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xine is a fully-featured free audio/video player for unix-like systems
which uses libxine for audio/video decoding and playback. For more
informations on what formats are supported, please refer to the
libxine documentation. gxine is a GTK+ based GUI for this
xine-libraries alternat to xine-ui.

%description -l de.UTF-8
xine ist ein freies Audio- und Video-Abspielprogramm für unixartige
Systeme mit umfassenden Funktionen. Zur Audio- und Videodekodierung
und Wiedergabe werden die xine-Bibliotheken aus libxine verwendet.
Weitere Informationen über die unterstützten Formate entnehmen Sie in
der Dokumentation zu libxine. gxine ist eine GTK+ basierende grafische
Oberfläche für diese xine-Bibliotheken, alternativ zur xine-ui

%description -l pl.UTF-8
xine to w pełni funkcjonalny wolnodostępny odtwarzacz filmów dla
systemów uniksowych, korzystający z libxine do dekodowania i
odtwarzania dźwięku i obrazu. Więcej informacji o obsługiwanych
formatach można znaleźć w dokumentacji libxine. gxine to graficzny
interfejs użytkownika do tych bibliotek, oparty na GTK+, alternatywny
dla xine-ui.

%package -n browser-plugin-gxine
Summary:	gxine as browser plugin
Summary(pl.UTF-8):	gxine jako wtyczka przeglądarki
Group:		X11/Applications/Multimedia
Requires(post,postun):	browser-plugins >= 2.0
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins(%{_target_base_arch})
Obsoletes:	mozilla-plugin-gxine

%description -n browser-plugin-gxine
gxine as browser plugin.

%description -n browser-plugin-gxine -l pl.UTF-8
gxine jako wtyczka przeglądarki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	GSSCMD=/usr/bin/gnome-screensaver-command \
	XSSCMD=/usr/bin/xscreensaver \
	%{!?with_lirc:--disable-lirc} \
	--with-gudev \
	--with-plugindir=%{_browserpluginsdir} \
	--with-spidermonkey=/usr/include/js

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_browserpluginsdir}/*.la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n browser-plugin-gxine
%update_browser_plugins

%postun -n browser-plugin-gxine
if [ "$1" = "0" ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog README TODO
%lang(cs) %doc README.cs
%lang(de) %doc README.de
%attr(755,root,root) %{_bindir}/gxine
%attr(755,root,root) %{_bindir}/gxine_client
%{_datadir}/gxine
%dir %{_sysconfdir}/gxine
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gxine/gtkrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gxine/startup
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gxine/*.xml
%{_desktopdir}/gxine.desktop
%{_iconsdir}/hicolor/*/apps/gxine.png
%{_pixmapsdir}/gxine.png
%{_mandir}/man1/gxine.1*
%{_mandir}/man1/gxine_client.1*
%lang(de) %{_mandir}/de/man1/gxine.1*
%lang(de) %{_mandir}/de/man1/gxine_client.1*
%lang(es) %{_mandir}/es/man1/gxine.1*
%lang(es) %{_mandir}/es/man1/gxine_client.1*

%files -n browser-plugin-gxine
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/gxineplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gxine.spec,v $
Revision 1.36  2012/02/15 09:07:00  arekm
- release 2

Revision 1.35  2011/02/20 07:30:16  qboosh
- updated from 4-year old 0.5.11 to 0.5.905
- updated desktop patch
- added link patch (avoid -lnsl etc.)
- added --with-gudev to use udev instead of hal

Revision 1.34  2008/11/07 20:52:42  arekm
- release 5

Revision 1.33  2008/06/26 19:35:08  blekot
- rel 4 to rebuild against js-1.7

Revision 1.32  2008/06/14 10:14:52  arekm
- rel 3

Revision 1.31  2008-02-24 13:24:08  glen
- release 2

Revision 1.30  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.28  2007/02/04 12:09:01  qboosh
- updated to 0.5.11

Revision 1.27  2007/01/09 12:09:38  rotom
- up to 0.5.10

Revision 1.26  2006/12/27 16:16:59  qboosh
- xine-lib epoch

Revision 1.25  2006/12/27 03:53:48  qboosh
- switched to browser-plugins

Revision 1.24  2006/12/27 03:48:57  qboosh
- updated deps

Revision 1.23  2006/12/17 08:52:23  rotom
- up to 0.5.9

Revision 1.22  2006/10/13 10:35:44  qboosh
- todo: switch to browser plugins (now it uses obsolete mozilla)

Revision 1.21  2006/10/13 08:59:49  qboosh
- sorted BRs

Revision 1.20  2006/10/08 22:52:50  shadzik
- up to 0.5.8

Revision 1.19  2006/08/14 10:13:11  jasw
- add BR

Revision 1.18  2006/07/05 18:21:37  shadzik
- up to 0.5.7

Revision 1.17  2006/05/28 11:59:44  maciek2w
- updated to 0.5.6

Revision 1.16  2006/03/18 21:00:37  maciek2w
- updated to 0.5.5

Revision 1.15  2006/02/02 20:07:41  qboosh
- use spidermonkey from js package, not mozilla or firefox

Revision 1.14  2006/02/02 15:41:58  charles
- updated to 0.5.4
- updated -desktop.patch, cleanups

Revision 1.13  2005/11/01 02:35:17  qboosh
- updated to 0.5.0

Revision 1.12  2005/10/19 18:49:10  qboosh
- updated to 0.4.9

Revision 1.11  2005/10/06 20:48:50  qboosh
- updated to 0.4.8

Revision 1.10  2005/08/29 19:33:52  qboosh
- updated to 0.4.7

Revision 1.9  2005/07/24 21:23:42  qboosh
- updated to 0.4.6, updated desktop patch

Revision 1.8  2005/06/02 20:36:24  qboosh
- updated to 0.4.5 (fixes CAN-2005-1692)
- deal with lirc support

Revision 1.7  2005/04/29 23:40:08  qboosh
- updated to 0.4.4

Revision 1.6  2004/12/22 00:35:38  qboosh
- updated to 0.4.1, updated desktop patch

Revision 1.5  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.4  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/11/12 17:38:53  paladine
- rel 2 for fixed desktop patch

Revision 1.2  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.1  2004/04/12 22:06:47  qboosh
- new; rewritten from spec included in tarball
